aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHeather <Heather@live.ru>2015-08-16 11:56:28 +0400
committerHeather <Heather@live.ru>2015-08-16 11:56:28 +0400
commit1dd65853b4ab950899a29b1eed4672806a509e27 (patch)
treec586f2588309d419831240039cdc3d95b28e2721 /dev-lang/mono
parentsync overlay with gentoo tree (diff)
downloaddotnet-1dd65853b4ab950899a29b1eed4672806a509e27.tar.gz
dotnet-1dd65853b4ab950899a29b1eed4672806a509e27.tar.bz2
dotnet-1dd65853b4ab950899a29b1eed4672806a509e27.zip
repair multilib-strict : Bug 554704
Diffstat (limited to 'dev-lang/mono')
-rw-r--r--dev-lang/mono/mono-3.12.1.ebuild10
-rw-r--r--dev-lang/mono/mono-4.0.2.5.ebuild10
-rw-r--r--dev-lang/mono/mono-4.0.3.20.ebuild10
-rw-r--r--dev-lang/mono/mono-9999.ebuild6
4 files changed, 36 insertions, 0 deletions
diff --git a/dev-lang/mono/mono-3.12.1.ebuild b/dev-lang/mono/mono-3.12.1.ebuild
index 1952ade..51416a4 100644
--- a/dev-lang/mono/mono-3.12.1.ebuild
+++ b/dev-lang/mono/mono-3.12.1.ebuild
@@ -115,3 +115,13 @@ src_test() {
cd mcs/tests || die
emake check
}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
+ # mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}
diff --git a/dev-lang/mono/mono-4.0.2.5.ebuild b/dev-lang/mono/mono-4.0.2.5.ebuild
index 37c05e5..471f167 100644
--- a/dev-lang/mono/mono-4.0.2.5.ebuild
+++ b/dev-lang/mono/mono-4.0.2.5.ebuild
@@ -104,3 +104,13 @@ src_test() {
cd mcs/tests || die
emake check
}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
+ # mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}
diff --git a/dev-lang/mono/mono-4.0.3.20.ebuild b/dev-lang/mono/mono-4.0.3.20.ebuild
index 526b34b..0884626 100644
--- a/dev-lang/mono/mono-4.0.3.20.ebuild
+++ b/dev-lang/mono/mono-4.0.3.20.ebuild
@@ -104,3 +104,13 @@ src_test() {
cd mcs/tests || die
emake check
}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
+ # mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}
diff --git a/dev-lang/mono/mono-9999.ebuild b/dev-lang/mono/mono-9999.ebuild
index 1d0c153..4e9c20e 100644
--- a/dev-lang/mono/mono-9999.ebuild
+++ b/dev-lang/mono/mono-9999.ebuild
@@ -105,4 +105,10 @@ src_test() {
src_install() {
autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
+ # mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
}